<template>
  <div class="breadcrumbs">
    <q-breadcrumbs gutter="xs" class="ml-4">
      <q-breadcrumbs-el v-if="path[0].name" @click="toGo(path[0].name, 0, path[0].path, path[0].params.id)" :to="{name: path[0].path, params: path[0].params.id}" :label="path[0].name" />
      <q-breadcrumbs-el v-if="path[1].name" @click="toGo(path[1].name, 1, path[1].path, path[1].params.id)" :to="{name: path[1].path, params: path[1].params.id}" :label="path[1].name" />
      <q-breadcrumbs-el v-if="path[2].name" @click="toGo(path[2].name, 2, path[2].path, path[2].params.id)" :to="{name: path[2].path, params: path[2].params.id}" :label="path[2].name" />
      <q-breadcrumbs-el v-if="path[3].name" @click="toGo(path[3].name, 3, path[3].path, path[3].params.id)" :to="{name: path[3].path, params: path[3].params.id}" :label="path[3].name" />
    </q-breadcrumbs>
  </div>
</template>

<script>
import {useStore} from "vuex";

export default {
  name: "Breadcrumbs",
  props: {
    path: {
      type: Array,
      required: true
    }
  },
  setup () {
    let store = useStore()
    function toGo (name, index, path, params) {
      store.commit('SET_PATH', {name, index, path, params })
    }
    return { toGo }
  }
}
</script>

<style scoped>

</style>
